Introduction

Mini TL866 Universal Programmer ->Performance

Well-designed cheap professional programmer, Production of high-density SMD technology, a unified user interface, easy to use, fully functional, reliable program running of application software, ultra-small code -runs faster, supports bilingual(English and Chinese), it can automatically identify the operating system to install and run under WIN 2000/WIN XP/WIN 2003/WIN 2008/WIN VISTA/WIN7(32BIit/64Bit).

Note: The following performance list

★The great part of other development programmers are not comparable to its functions◆ that is not easy to reach.

★High Speed Programming◆This programmer has Built-in MCU with high-performance and high-capacity USB interface ◆at the communication speed of 12Mbps£¬ being in line with ( For each chip) well-designed programming algorithm and USB high-speed communications. It may be one of the fastest integrated development programmers, the speed has been met the needs of small-quantity efficient production.

Compared to similar products, some chips' programming speed is several times faster, even more than 10 times. For 4Mbits parallel FLASH ROM, the upgrade programmer (Version 3.01 or above) takes only about 35 seconds to finish programming (the total time of erase, write, verify). It only takes about 32 +79 seconds to read and write a 32MB TE28F320. In most cases, the parallel flash chip can be programmed at the same time it can be verified. The programming will be immediately stopped if there is an error. It only takes about 12 sec (read) +18 sec (write) to read and write an 8 Mbits of serial 25P80. It only takes about 98 sec +160 sec to read and write a chip of 64MB capacity. It supports common 8-PIN and 16-PIN 25 series chip with large capacity.

Note: 16MB or larger capacity flash chip cannot be programmed by general programmers because of programming speed, while the TL866 programmer can widely support 64MB Serial and parallel series of chips to 48PIN. It provides with the remarkable quality that is distinct from other common programmer.

--- Please see the details: test programming speed list of the chips we commonly use

◆ support a wide range of chips: All kinds of 26, 27, 28, 29, 37, 39, 49, 50 parallel ROM, EPROM, EEPROM, 24, 25, 35, 85, 93, 95 Series EEPROM, Serial parallel ROM chips, fully supporting to the 48-PIN chips of 64Mbits capacity. It also supports a variety of models of 51 series of microcontroller, AVR microcontroller, including ATMEGA series, ATtiny Series, AT90XXX Series MCU, MICROCHIP PIC10 PIC12 PIC16 PIC18 MCU, programming of GAL programmable logic device, SRAM test, 54/74 and CMOS4000 series IC comprehensive function tests. At present, it can actually program more than 12000 chips. More chips will be supported in the process of the future upgrade.

---View: Click here to view the chip supporting list

★Unique ultra-low power£ºThe whole programmer is equipped with the ultra-low power chips and it is furnished with electricity via USB Interface. It is the first comprehensive programmer to program all the chips without an external power supply. Their own power consumption is less than 20mA (it is 7mA when the programmer is not programming, LED power indicator use largest electricity, 5mA each one) and Programming power loss rate is less than 20% so that the programmer can supply the high VCC VPP programming electric current. Programmable chip can be provided with enough programming power (the largest programming power output is 2 watts that is impossible for a chip to use 2 watts of programming power). And you hardly feel the heat of the programmer after such long continuous work.

★easily portable performance£ºThis is one of the smallest products in the world and the dimensions are 10CM*6CM*2.5CM (it is as small as a driving license). In addition, you don't need to carry with an external power supply because of its ultra-low power that makes it more portable.

◆Programmable programming power supply: VPP and VCC programming voltages are independently program-controlled: programmable VCC is from 3.3V to 6.5V; VPP is from 3.3V to 21V. The fluctuation of power supply is minor because of the multi-stage LC filter.

★Best overvoltage, overcurrent protection: VCC, VPP power supply of the Programmer is furnished with the independent Grade 3 overcurrent protection and the protection of automatically cutting off power supply. Each pin of 40-pin programming socket has VPP overvoltage protection. It can effectively prevent from putting a chip in the wrong place or short circuit due to other reason. In this programming case, it can also stop VPP high voltage from coming back to the internal of the programmer and damaging the device. Really make sure that the programmer will not be damaged when there is any worst-case short circuit. At the same time, the programmed chip can be efficiently protected.

This programmer will cut off the programming power supply VPP and VCC within 100us and send the message to the application program when there is short circuit. The programmer and PC won't be reset when there is short circuit because of the multilevel overcurrent protection.

◆ 40PIN universal pin: It is the most versatile pin among 40PIN quasi-universal pins. You don't need to move or turn around the chip when programming, just congruously put the chip forward and the handle direction of the programmer is the PIN1 place. Its design accords with the common operating habit of user.

◆ This programmer is equipped with upgrading Function of the built-in hardware firmware program that can make sure your programmer's firmware flash and application software can be timely updated. You can complete the upgrade by downloading the upgrading program through the manufacturer's website.

★Second development function of chip serial number£ºThis programmer has a variety of automatic numbering functions that are used commonly. You can get any serial number through DLL Dynamic Link Libraries by using the custom algorithm. In mass production, the function enables each chip to produce only one identifying information that can be encrypted by the custom algorithm. So you can effectively protect your rights as a customer.

View: Set the chip ID

★Unique universal serial programming interface ICSP(Only TL866A can support, TL866CS cannot use this function)

This TL866A programmer can program through the 40-PIN universal socket and is provided with an ICSP serial programming port. For some in-circuit serial programmable chips, you can program MCU by choosing ICSP port. You can get the clear instruction diagram in the programming software for the ICSP port wiring method. That is to say, you can directly program and update the chip soldered on the board.

Note: Now ICSP can in-circuit serial program ATMEL89S51, ATMEL89S52, AT45DBxxx, a whole series of AVR ATMEGAxxx, MICROCHIP PIC10Fxxx 12Fxxx 16Fxxx 18Fxxx, as well as a full serial of SYNCMOS SM59Dxx SM59Rxx. The variety of microcontroller that can be supported in-circuit programming will be continually increased in the future. Six ICSP wires of this programmer, except a ground wire, other wires led full functional I2C, SPI and UART serial main wire, be suitable for all kinds of serial communication. In addition, each wire can supply VCC, VPP or GND with high current.

★superb 54/74F/LS/HC CMOS4000 series IC functional tests: This is the first development programmer to test the common logic integrated circuit and this test can be located the errors of logic gate circuit, as well as test any possible input combinations of integrated circuit.

★Programmer self-testing function: This programmer can test itself on each pin of VPP, VCC, GND and I/O information, at the same time it can run an inside short-circuit test on VPP, VCC current.

★AVR microcontroller one-to-one soft encryption: AVR microcontroller has an RC Calibration (calibrate bytes). Only one of dozens of chips may have the same bytes value and it cannot be modified. Microcontroller software can read this value and determine whether the code is used by other chips. Through custom encryption algorithm, it can stop those who decrypt chips with ulterior motives from directly using. The encryption algorithm is so complex that it is not easy to decrypt. But, about "encryption", there is a problem for developers - each chip is different - it is impossible to manually calculate one by one and respectively compile source code if the algorithm is complex. This programmer can automatically read into RC bytes before programming. The developer can get the bytes value of the chip in the DLL dynamic function and then automatically calculate the encrypted data according to the request and put it in the memory, efficiently completing mass production. (A detailed encrypted instance of the ATMEGA8 in the installation package is available for reference)

★Unified and convenient user interface: The user interface is well-designed and is in complete accord with the operating habit of the Windows series of software. Built-in binary editer is comparable to pure professional editing software. You can directly read, write and modify the files such as BIN format, HEX format, JED format and so on. In addition, it has the complete and practical project mode that makes the mass production more convenient and safer.

View: Software user interface

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn Hainan China
TEL: 0898 68681816 FAX :0898-68681815 Mobile: 13198907988
The Haikou Xingong Electronics Co., Ltd. Copyright @ 2009

Translator's eBay ID: sunwenjun, Paypal Email: yanyan.816@163.com


Performance

Mini TL866 Universal Programmer ->Performance

Well-designed cheap professional programmer, Production of high-density SMD technology, a unified user interface, easy to use, fully functional, reliable program running of application software, ultra-small code -runs faster, supports bilingual(English and Chinese), it can automatically identify the operating system to install and run under WIN 2000/WIN XP/WIN 2003/WIN 2008/WIN VISTA/WIN7 (32BIit/64Bit).

Note: The following performance list

★The great part of other development programmers are not comparable to its functions◆ that is not easy to reach.

★High Speed Programming◆This programmer has Built-in MCU with high-performance and high-capacity USB interface ◆at the communication speed of 12Mbps£¬ being in line with ( For each chip) well-designed programming algorithm and USB high-speed communications. It may be one of the fastest integrated development programmers, the speed has been met the needs of small-quantity efficient production.

Compared to similar products, some chips' programming speed is several times faster, even more than 10 times. For 4Mbits parallel FLASH ROM, the upgrade programmer (Version 3.01 or above) takes only about 35 seconds to finish programming (the total time of erase, write, verify). It only takes about 32 +79 seconds to read and write a 32MB TE28F320. In most cases, the parallel flash chip can be programmed at the same time it can be verified. The programming will be immediately stopped if there is an error. It only takes about 12 sec (read) +18 sec (write) to read and write an 8 Mbits of serial 25P80. It only takes about 98 sec +160 sec to read and write a chip of 64MB capacity. It supports common 8-PIN and 16-PIN 25 series chip with large capacity.

Note: 16MB or larger capacity flash chip cannot be programmed by general programmers because of programming speed, while the TL866 programmer can widely support 64MB Serial and parallel series of chips to 48PIN. It provides with the remarkable quality that is distinct from other common programmer.

--- Please see the details: test programming speed list of the chips we commonly use

◆ support a wide range of chips: All kinds of 26, 27, 28, 29, 37, 39, 49, 50 parallel ROM, EPROM, EEPROM, 24, 25, 35, 85, 93, 95 Series EEPROM, Serial parallel ROM chips, fully supporting to the 48-PIN chips of 64Mbits capacity. It also supports a variety of models of 51 series of microcontroller, AVR microcontroller, including ATMEGA series, ATtiny Series, AT90XXX Series MCU, MICROCHIP PIC10 PIC12 PIC16 PIC18 MCU, programming of GAL programmable logic device, SRAM test, 54/74 and CMOS4000 series IC comprehensive function tests. At present, it can actually program more than 12000 chips. More chips will be supported in the process of the future upgrade.

---View: Click here to view the chip supporting list

★Unique ultra-low power£ºThe whole programmer is equipped with the ultra-low power chips and it is furnished with electricity via USB Interface. It is the first comprehensive programmer to program all the chips without an external power supply. Their own power consumption is less than 20mA (it is 7mA when the programmer is not programming, LED power indicator use largest electricity, 5mA each one) and Programming power loss rate is less than 20% so that the programmer can supply the high VCC VPP programming electric current. Programmable chip can be provided with enough programming power (the largest programming power output is 2 watts that is impossible for a chip to use 2 watts of programming power). And you hardly feel the heat of the programmer after such long continuous work.

★easily portable performance£ºThis is one of the smallest products in the world and the dimensions are 10CM*6CM*2.5CM (it is as small as a driving license). In addition, you don't need to carry with an external power supply because of its ultra-low power that makes it more portable.

◆Programmable programming power supply: VPP and VCC programming voltages are independently program-controlled: programmable VCC is from 3.3V to 6.5V; VPP is from 3.3V to 21V. The fluctuation of power supply is minor because of the multi-stage LC filter.

★Best overvoltage, overcurrent protection: VCC, VPP power supply of the Programmer is furnished with the independent Grade 3 overcurrent protection and the protection of automatically cutting off power supply. Each pin of 40-pin programming socket has VPP overvoltage protection. It can effectively prevent from putting a chip in the wrong place or short circuit due to other reason. In this programming case, it can also stop VPP high voltage from coming back to the internal of the programmer and damaging the device. Really make sure that the programmer will not be damaged when there is any worst-case short circuit. At the same time, the programmed chip can be efficiently protected.

This programmer will cut off the programming power supply VPP and VCC within 100us and send the message to the application program when there is short circuit. The programmer and PC won't be reset when there is short circuit because of the multilevel overcurrent protection.

◆ 40PIN universal pin: It is the most versatile pin among 40PIN quasi-universal pins. You don't need to move or turn around the chip when programming, just congruously put the chip forward and the handle direction of the programmer is the PIN1 place. Its design accords with the common operating habit of user.

◆ This programmer is equipped with upgrading Function of the built-in hardware firmware program that can make sure your programmer's firmware flash and application software can be timely updated. You can complete the upgrade by downloading the upgrading program through the manufacturer's website.

★Second development function of chip serial number£ºThis programmer has a variety of automatic numbering functions that are used commonly. You can get any serial number through DLL Dynamic Link Libraries by using the custom algorithm. In mass production, the function enables each chip to produce only one identifying information that can be encrypted by the custom algorithm. So you can effectively protect your rights as a customer.

View: Set the chip ID

★Unique universal serial programming interface ICSP£º(Only TL866A can support, TL866CS cannot use this function)

This TL866A programmer can program through the 40-PIN universal socket and is provided with an ICSP serial programming port. For some in-circuit serial programmable chips, you can program MCU by choosing ICSP port. You can get the clear instruction diagram in the programming software for the ICSP port wiring method. That is to say, you can directly program and update the chip soldered on the board.

Note: Now ICSP can in-circuit serial program ATMEL89S51, ATMEL89S52, AT45DBxxx, a whole series of AVR ATMEGAxxx, MICROCHIP PIC10Fxxx 12Fxxx 16Fxxx 18Fxxx, as well as a full serial of SYNCMOS SM59Dxx SM59Rxx. The variety of microcontroller that can be supported in-circuit programming will be continually increased in the future. Six ICSP wires of this programmer, except a ground wire, other wires led full functional I2C, SPI and UART serial main wire, be suitable for all kinds of serial communication. In addition, each wire can supply VCC, VPP or GND with high current.

★superb 54/74F/LS/HC CMOS4000 series IC functional tests: This is the first development programmer to test the common logic integrated circuit and this test can be located the errors of logic gate circuit, as well as test any possible input combinations of integrated circuit.

★Programmer self-testing function: This programmer can test itself on each pin of VPP, VCC, GND and I/O information, at the same time it can run an inside short-circuit test on VPP, VCC current.

★AVR microcontroller one-to-one soft encryption: AVR microcontroller has an RC Calibration (calibrate bytes). Only one of dozens of chips may have the same bytes value and it cannot be modified. Microcontroller software can read this value and determine whether the code is used by other chips. Through custom encryption algorithm, it can stop those who decrypt chips with ulterior motives from directly using. The encryption algorithm is so complex that it is not easy to decrypt. But, about "encryption", there is a problem for developers - each chip is different - it is impossible to manually calculate one by one and respectively compile source code if the algorithm is complex. This programmer can automatically read into RC bytes before programming. The developer can get the bytes value of the chip in the DLL dynamic function and then automatically calculate the encrypted data according to the request and put it in the memory, efficiently completing mass production. (A detailed encrypted instance of the ATMEGA8 in the installation package is available for reference)

★Unified and convenient user interface: The user interface is well-designed and is in complete accord with the operating habit of the Windows series of software. Built-in binary editer is comparable to pure professional editing software. You can directly read, write and modify the files such as BIN format, HEX format, JED format and so on. In addition, it has the complete and practical project mode that makes the mass production more convenient and safer.

View: Software user interface

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn Hainan China
TEL: 0898 68681816 FAX :0898-68681815 Mobile: 13198907988
The Haikou Xingong Electronics Co., Ltd. Copyright @ 2009

Translator's eBay ID:sunwenjun, PayPal Email:yanyan.816@163.com


The chip supporting range

Mini TL866 Universal Programmer ->The chip supporting range

◆All kinds 26 27 28 29 37 39 49 50 Parallel ROM, EPROM, EEPROM

High-speed and wide-support

It can support TSOP32 TSOP40 TSOP48 chip to 64MBits and the programming speed is 5-10 times as fast as the similar.

◆24 25 35 45 85 93 95 Series EEPROM

It can widely support series chips and the 8-16 PIN 25 series chips can be supported to 64MBits capacity.

◆ Hundreds of the 51 series microcontroller

◆ AVR microcontroller, including ATMEGA series, ATtiny series, AT90XXX series microcontroller

AVR microcontroller can complete a one-to-one soft encryption by RC calibrating bytes.

It can support high-speed parallel programming and at the same time all AVR ATMEGAxxx chips can be supported SPI series download programming by using ICSP interface.

TQFP64, TQFP100PIN AMEGAxxx chips can be supported.

◆Microchip PIC10 PIC12 PIC16 PIC18 Series microcontrollers:

As for PIC series chips, it can support more than 300 models and more than 900 types of packages. It is one of the most comprehensive programmers of supporting PIC chips. For all kinds of PIC chips, it can program with optimization and high speed strictly according to the manufacturer manual. For the majority of chips, it can support ISCP in-circuit programming and at the same time it can program by using programming socket.

◆ GAL programmable logic device programming
It can support the common PLD device.

◆ SRAM Test
It can support common 24 61 62 DS12 series SRAM test, respectively data line testing, the address line testing, memory cell incremental testing and unit testing.

◆ Superb performance in 54/74F/LS/HC CMOS4000 series IC comprehensive function test:
This is the first development programmer that can test common logic IC. This test can locate the logic gate errors and get any possible input combinations of IC.

Programmable chips12700 +, the upgrade process will add more chip support.

At present, it can support more than 12700 chips and the types will gradually increase in the future upgrade.

detailed list of supporting chips:

http://www.autoelectric.cn/minipro

Related Topics:

Quick Guide


List of common chip programming rate

Mini TL866 Universal Programmer ->List of common chip programming rate

Here, the real testing programming time that common chips need to spend is listed. These chips are not intended to pick out and you can see the similar chip reference table for the similar. The programming time is proportional to the capacity. That is to say, for the similar chip, the larger capacity the chip has, the more time the programming spends. Compared to similar products, some chips' programming speed is several times faster, even more than 10 times. For 4Mbits parallel FLASH ROM, the upgrade programmer (Version 3.01 or above) takes only about 36 seconds to finish programming (the total time of erase, write, verify). It only takes about 32 +79 seconds to read and write a 32MB TE28F320. In most cases, the parallel flash chip can be programmed at the same time it can be verified. The programming will be immediately stopped if there is an error. It only takes about 12 sec (read) +18 sec (write) to read and write an 8 Mbits of serial 25P80. It only takes about 98 sec +160 sec to read and write a chip of 64MB capacity. It supports common 8-PIN and 16-PIN 25 series chip with large capacity. So the programming speed is far beyond comparison.
Note: 16MB or larger capacity flash chip cannot be programmed by general programmers because of programming speed, while the TL866 programmer can widely support 64MB Serial and parallel series of chips to 48 PIN. It provides with the remarkable quality that is distinct from other common programmer.

Total time = erase time + programming time + check time
The programmer in strict accordance with manufacturers require programming, and will never sacrifice the reliability of the programming in order to improve programming speed.

This programmer can work strictly according to the manufacturer manual and never sacrifice the programming reliability in order to improve programming speed.

Common ROM chip programming time: (Unit: second)

Chip category | Chip Model | Capacity | Erase time | Read / check | Writing Time | Total time | Remarks
27Cxxx | 27C512 | 512Kbits | / | 2S | 20.8S | 22.8S | 28PIN
 | 27C010 | 1Mbits | / | 4S | 34.2S | 38.2S | 32PIN
 | 27C1024 16-bit | 1Mbits | / | 4.1S | 19.6S | 23.7S | 40PIN
Electrical erase 27Cxxx | W27E257 | 256 kbits | 0.1S | 1S | 10.4S | 11.5S | 28PIN
 | SST27SF512 | 512 kbits | 0.1S | 1.4S | 20S | 21.5S | 28PIN
 | W27C010 | 1Mbits | 0.2S | 2.3S | 33.4S | 35.9S | 32PIN
FLASH EEROM | N28F020 | 2Mbits | 0.6S | 3.1 | 10.7 | 14.4S | 32PIN
 | AT29C020 | 2Mbits | 0.2S | 3.1 | 10.9 | 14.2S
 | W29C020 | 2Mbits | 0.3S | 3.1 | 11S | 14.3
 | AM29F040 | 4Mbits | 7.9S | 9.2S | 26 | 43.1S
 | M29F002 | 2Mbits | 2.5S | 4.6S | 19.5S | 25.6S
 | SST39SF020 | 2Mbits | 0.4S | 3.6S | 15.6S | 19.6S
 | AT49F002 | 2Mbits | 1.2S | 3.6S | 16.4S | 11.2S
 | W39V040AP | 4Mbits | 0.1S | 9.2S | 27S | 36S
 | M50FW040 | 4Mbits | 7S | 9.2S | 25 | 41.2
 | INTEL82802AB | 4Mbits | 4S | 9.2S | 25S | 38
 | AM29F200 | 2Mbits | 3.7 | 2.0 | 8.6 | 14.3 | 48PIN
 | AM29LV160DB | 16Mbits | 27 | 16 | 50 | 83
 | TE28F320C3B | 32Mbits | 29 | 32 | 79 | 130
 | AT48BV8192A | 8Mbits | 5 | 8 | 28 | 41
Series EEPROM | 24C02 | 2048bits | / | 0.1S | 0.3S | 0.4S | 8-16PIN
 | AT24C256 | 256 kbits | / | 4.2S | 8.2S | 12.4S
 | AT24C512 | 512Kbits | / | 8.4S | 13.5S | 21.9S
 | 25080 | 8192bits | / | 0.01S | 0.1S | 0.1S
 | 25320 | 32Kbits | / | 0.1S | 0.5S | 0.6S
 | 25LC1024 | 1Mbits | 0.2S | 1.5S | 3.9S | 4.6S
 | EN25T80 | 8Mbits | 8.4S | 12S | 18S | 38.4S
 | MX25L8005 | 8Mbits | 5.8S | 12S | 17S | 34.8S
 | MAX25L6405 | 64Mbits | 42S | 98S | 166S | 302S
 | 95320 | 32Kbits | / | 0.1S | 0.5S | 0.6S
 | 35080 | 8192bits | / | 0.1S | 0.1S | 0.2S
 | 93C46 | 1024bits |  |  |  | 0.1S
 | 93CS56 | 2048bits | 0.1 | 0.1 | 0.4 | 0.6S
 | 93C66 | 4096bits | 0.1 | 0.1 | 1.2 | 1.4S
 | 93C86 | 8192bits | 0.1 | 0.1 | 2.4 | 2.6S

microcontroller programming time list: (Unit: second)

Model, capacity | Erase | Reading C | Write C | Reading E | Write E | Total T | Remarks
AT89C51 4K | 0.3 | 0.3 | 5.3 | / | / | 5.9 |
AT89S52 8K | 0.3 | 0.4 | 1.1 | / | / | 1.8 |
AT89S8253 12K+2K | 0.3 | 0.7 | 3.7 | 0.1 | 0.7 | 5.5 |
AT89C4051 4K | 0.2 | 0.2 | 6.4 | / | / | 6.8 | 20P
SST89E58 32K 8 K | 0.3 | 1.5 | 3.5 | 0.4 | 0.8 | 6.5 |
SST89E564 64K 8 K | 0.3 | 3.0 | 7.0 | 0.4 | 0.8 | 11.5 |
ATMEGA8 8K+512 | 0.05 | 0.3 | 1.8 | 0.1 | 0.5 | 2.8 |
ATMEGA48 4K+256 | 0.05 | 0.1 | 0.9 | 0.1 | 0.1 | 1.25 |
ATMEGA162V 16K +512 | 0.1 | 0.6 | 2.5 | 0.1 | 0.4 | 3.7 |
ATMEGA8515 8K+512 | 0.1 | 0.3 | 1.8 | 0.1 | 0.5 | 2.8 |
ATTINY13 1K+64 | 0.02 | 0.1 | 0.7 | 0.01 | 0.04 | 0.9 | 8P
ATTINY2313 2K+128 | 0.01 | 0.1 | 0.7 | 0.02 | 0.04 | 0.9 |
PIC10F222 1K | 0.2 | 0.1 | 1.0 | / | / | 1.3 |
PIC12F629 2K+128 | 0.1 | 0.1 | 2.2 | 0.1 | 0.3 | 2.8 |
PIC16F873A 8K+128 | 0.1 | 0.5 | 4.5 | 0.1 | 0.8 | 6.0 |
PIC18F4550 32K+256 | 0.5 | 3.7 | 5.6 | 0.3 | 1.2 | 11.3 |
PIC18F67J10 128K bytes | 0.5 | 16 | 20 | / | / | 36.5 |
PIC16C712 2K | / | 0.1 | 0.9 | / | / | 1.0 |
PIC16C74B 8K | / | 0.4 | 3.5 | / | / | 3.9 |
GAL16V8 | 0.8 | 1.4 | 3.4 | / | / | 5.6 |

Note: <Reading C> refers to the time of reading or verifying the program area
<Write C> refers to the time of programming the program area
<Read E> <write E> refers to the time of the operating on chip data area
<Total T> the total time = <erase> + <write C> + <read C> + <Write E> + <read E>
Microcontroller other writing time of configuration bit and encryption bit is not listed in the table, but the read and write time is very short, most of them are 100ms or less that can be ignored.
The total time represents all time in the process of reliable programming .

Related Topics:


Instalation

Mini TL866 Universal Programmer-->The installation of application software

◆ Supports the WINDOWS operating system

This programmer can support Microsoft's latest operating system WINDOWS 2000/XP/2003/2008/VISTA/WIN7(32BIit/64Bit).
It can automatically identify Windows operating system version number when the software is installed and can be quickly and conveniently installed automatically.

◆ Installation Steps

1. From http://www.autoelectric.cn/minipro/index.htm , you can download MiniPro_setup.exe file and then double-click the file to enter the installation interface. As follows: (installation file contains the contents of this manual) begin to install the application, popping up the following picture:
Here choose the destination folder you want to install. Click [Install] to begin the application installation.

2. The installation progress is quick and the installation of the application will be completed in about 2 seconds. And then the dialog box to install the driver will be popped up automatically , as follows:
Generally, don't need to connect to the device, click [Install] button to automatically carry out the installation of device drivers.

3. driver installation, click [Next]

4. this step, a little longer.

5. the installation is complete

◆ Next: Equipment Installation
After completing installation, connect the programmer to the USB port and then the operating system will find the hardware as follows:

Select [Install the software automatically] Click Next, windows will automatically install until successful completion of the installation.
(Note: In this process, the driver will change the registry. If the firewall software is installed, please allow this software. Windows Will prompt the driver is not digitally visa, click OK to continue the installation).

When the installation is complete, a shortcut icon programmer application will be added in [Desktop] and [Start] --[Procedure], as follows:

Click: MiniPro Programmer can enter the programming application.

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn Hainan China
TEL: 0898 68681816 FAX :0898-68681815 Mobile: 13198907988
The Haikou Xingong Electronics Co., Ltd. Copyright @ 2009

Translator's eBay ID: sunwenjun , PayPal Email: yanyan.816@163.com


The installation of applicationsoftware

Mini TL866 Universal Programmer-->The installation of application software

◆ Supports the WINDOWS operating system

This programmer can support Microsoft's latest operating system WINDOWS 2000/XP/2003/2008/VISTA/WIN7(32BIit/64Bit).
It can automatically identify Windows operating system version number when the software is installed and can be quickly and conveniently installed automatically.

◆ Installation Steps

1. From http://www.autoelectric.cn/minipro/index.htm , you can download MiniPro_setup.exe file and then double-click the file to enter the installation interface. As follows: (installation file contains the contents of this manual) begin to install the application, popping up the following picture:
Here choose the destination folder you want to install. Click [Install] to begin the application installation.

2. The installation progress is quick and the installation of the application will be completed in about 2 seconds. And then the dialog box to install the driver will be popped up automatically , as follows:
Generally, don't need to connect to the device, click [Install] button to automatically carry out the installation of device drivers.

3. driver installation, click [Next]

4. this step, a little longer.

5. the installation is complete

◆ Next: Equipment Installation
After completing installation, connect the programmer to the USB port and then the operating system will find the hardware as follows:

Select [Install the software automatically] Click Next, windows will automatically install until successful completion of the installation.
(Note: In this process, the driver will change the registry. If the firewall software is installed, please allow this software. Windows Will prompt the driver is not digitally visa, click OK to continue the installation).

When the installation is complete, a shortcut icon programmer application will be added in [Desktop] and [Start] --[Procedure], as follows:

Click: MiniPro Programmer can enter the programming application.

Related Topics:


Quick Guide

Mini TL866 Universal Programmer -> Concise Operating Guide

◆ Be ready for the hardware

Please make sure properly installed the application software and USB driver of the universal programmer before connecting the USB communication line. At this time, the red power supply indicator shows proper connection (lights up) and the yellow power supply indicator goes out waiting for programming. (If the yellow power supply indicator flashes at all times, it indicates that the USB driver installation is wrong or there is no installation of the USB programmer device driver). You can continue to do the next one if the programmer application software displays the firmware version number in the lower right.

Chip Place Way : PIN1 of the within-40-pins chips should be placed near the ZIF socket handle, just as illustrated:

◆ select the programmed chip
Click “Select IC” to select the present chip model you need to program, as below:

Please note: if some type of packages are not listed in the menu or the present chips are non-DIP packages, you can program by checking the IC product instruction and directly connecting the one-to-one pin.

◆ Load the buffers data
Programming operation can be performed only when the present chip data is loaded to the buffers. Click “Open file” and open the present chip data file and then bring out the dialogue box as below:

1. select the file you want to program

2. Select the load mode: generally, specifying the buffer is okay if there are multiple buffers, others are default.
Load all the data to the specified buffer in the same way.
For Microchip PIC microcontroller, HEX file can be once loaded to all buffers if it is in accord with MICROCHIP IDE environment, including configuration information.

◆set chip configuration information and lock option

Please press “CONFIG” button in the Buffer select if you need to protect the chip or do other config operations. And then bring out the config dialogue box. The config information is different from the chip model. For example, if you select as AT89S8253, the below dialogue box will be brought out:

Do the next one after setting up the configuration information and protection option

◆programming set
In most cases, the Default Settings is ok. You can tick off “Auto Serials No.” if you need to number chip.
The specific method reference: <programming details> - <set IC serials number>

Please note: these options, such as “Erase Before”, “Blank Check”, “Skip 0xFF”, “Check device ID”, can be ticked off according to your needs.
 “Verify After”: most of programmers contain the inner verify check, but you’d better perform the “Verify After” operation in order to make sure the proper programming.

◆ Program: click “Read” button to bring out the dialog box, as show below:

A. select programming buffer, default as all buffers
B. Present operating state prompt area
C. Present chip model
D. Programming operation information: you can see the programming time of every step. Units: MS
E. progress bar

Prompt: the above-mentioned operation is indispensable to programming a chip. The operations are different from the chip model.

Related Topics:


User Interface

Mini TL866 Universal Programmer-->User Interface

Run the program, then the interface is shown as below:

A. Main menu: all operation command of the application software can be found and performed.

B. Toolbar: provide the normal command such as Open, Save, Read, Blank check, Erase, Verify and so on.

C. The chip select shortcut buttons.

D. ID Information Bar: the present chip ID can be shown here

E. data buffer : hexadecimal data you need to program can be shown in the form of ¡°8 bit¡± or ¡°16 bit¡± according to the chip type.

F. Programming options

G. Show present specified address when editing data buffer.

H. Communication status indicator: If there is a USB device, display firmware version number. Conversely, display ¡°No Device¡±

I. IC Configuration Information: display the configuration information of the present programmed chip (here different chip has different information)

J. data buffer: display the ASCII data of the present chip

K. Buffer select button: select the present buffer, more than one buttons will be displayed if the chip has multiple buffers.

L. Basic Information Bar: show the present programmed chip information, showing project information in the project mode.

M. Programming port select button: ICSP button will become gray and invalid when the ICSP port programming is not available.

see the details: Programmer Detailed description

Related Topics:


Concise Operating Guide

Mini TL866 Universal Programmer -> Concise Operating Guide

◆ Be ready for the hardware

Please make sure properly installed the application software and USB driver of the universal programmer before connecting the USB communication line. At this time, the red power supply indicator shows proper connection (lights up) and the yellow power supply indicator goes out waiting for programming. (If the yellow power supply indicator flashes at all times, it indicates that the USB driver installation is wrong or there is no installation of the USB programmer device driver). You can continue to do the next one if the programmer application software displays the firmware version number in the lower right.

Chip Place Way : PIN1 of the within-40-pins chips should be placed near the ZIF socket handle, just as illustrated:

◆ select the programmed chip
Click “Select IC” to select the present chip model you need to program, as below:

Please note: if some type of packages are not listed in the menu or the present chips are non-DIP packages, you can program by checking the IC product instruction and directly connecting the one-to-one pin.

◆ Load the buffers data
Programming operation can be performed only when the present chip data is loaded to the buffers. Click “Open file” and open the present chip data file and then bring out the dialogue box as below:

1. select the file you want to program

2. Select the load mode: generally, specifying the buffer is okay if there are multiple buffers, others are default.
Load all the data to the specified buffer in the same way.
For Microchip PIC microcontroller, HEX file can be once loaded to all buffers if it is in accord with MICROCHIP IDE environment, including configuration information.

◆set chip configuration information and lock option

Please press “CONFIG” button in the Buffer select if you need to protect the chip or do other config operations. And then bring out the config dialogue box. The config information is different from the chip model. For example, if you select as AT89S8253, the below dialogue box will be brought out:

Do the next one after setting up the configuration information and protection option

◆programming set
In most cases, the Default Settings is ok. You can tick off “Auto Serials No.” if you need to number chip.
The specific method reference: <programming details> - <set IC serials number>

Please note: these options, such as “Erase Before”, “Blank Check”, “Skip 0xFF”, “Check device ID”, can be ticked off according to your needs.
 “Verify After”: most of programmers contain the inner verify check, but you’d better perform the “Verify After” operation in order to make sure the proper programming.

◆ Program: click “Read” button to bring out the dialog box, as show below:

A. select programming buffer, default as all buffers
B. Present operating state prompt area
C. Present chip model
D. Programming operation information: you can see the programming time of every step. Units: MS
E. progress bar

Prompt: the above-mentioned operation is indispensable to programming a chip. The operations are different from the chip model.

Related Topics:


Complete Operations Guide

Mini TL866 Universal Programmer -> Detailed Description

This chapter mainly describes the features and the specific operation of MiniPro programmer programming software.

Menu command

◆ File menu
Open, save, buffer operation functions, exit

◆ Chip-select menu
select programmed chip according to menu list

◆ Project menu
Open Project, Save Project, Save Project As, close project, project attrib, modify password

◆ Device menu
Read..., Read ID, Verify, Program, Erase, Blank Check, Serials Number, Testing

◆ System Tools menu
Calculator, System Self- check, Refresh flash firmware

◆ Help menu
Help files, About MiniPro

detailed description of editing buffer

◆ Edit buffer
Find the corresponding hexadecimal value ​​or ASCII character strings in the buffer, data, copy, paste, fill, Block Save As

detailed operating description

◆ Select chip
select programmed chip according to menu list

◆ Read the chip
Read into the chip to the PC buffer.

◆ Program chip
Cure the contents of buffer into the chip.

◆ Erase chip
Completely erase the data of the chip (Some microcontroller clock calibration bytes can be erased according to the needs, the default is not erased).

◆ Chip Blank
Check whether the current chip is programmed

◆ Chip Verify
Verify whether the chip data is the same as the buffer, can be marked "verify in a different place" .

◆ Set the chip configuration information
mainly set the microcontroller fuse byte, lock bit byte, etc.

◆ Set Chip Serial number
a variety of file format can be opened

◆ Programmer self-test

check whether the programming port function is normal.

◆ ICSP programming
ICSP serial programming function interface, and the usage

◆ RAM test
Test the common static RAM chips

◆ Digital logic circuit test
Test 54 74 series, CMOS4000/MC14xxx series digital integrated circuit

Related Topics:


Detailed Description

Mini TL866 Universal Programmer -> Detailed Description

This chapter mainly describes the features and the specific operation of MiniPro programmer programming software.

Menu command

◆ File menu
Open, save, buffer operation functions, exit

◆ Chip-select menu
select programmed chip according to menu list

◆ Project menu
Open Project, Save Project, Save Project As, close project, project attrib, modify password

◆ Device menu
Read..., Read ID, Verify, Program, Erase, Blank Check, Serials Number, Testing

◆ System Tools menu
Calculator, System Self- check, Refresh flash firmware

◆ Help menu
Help files, About MiniPro

detailed description of editing buffer

◆ Edit buffer
Find the corresponding hexadecimal value ​​or ASCII character strings in the buffer, data, copy, paste, fill, Block Save As

detailed operating description

◆ Select chip
select programmed chip according to menu list

◆ Read the chip
Read into the chip to the PC buffer.

◆ Program chip
Cure the contents of buffer into the chip.

◆ Erase chip
Completely erase the data of the chip (Some microcontroller clock calibration bytes can be erased according to the needs, the default is not erased).

◆ Chip Blank
Check whether the current chip is programmed

◆ Chip Verify
Verify whether the chip data is the same as the buffer, can be marked "verify in a different place" .

◆ Set the chip configuration information
mainly set the microcontroller fuse byte, lock bit byte, etc.

◆ Set Chip Serial number
a variety of file format can be opened

◆ Programmer self-test

check whether the programming port function is normal.

◆ ICSP programming
ICSP serial programming function interface, and the usage

◆ RAM test
Test the common static RAM chips

◆ Digital logic circuit test
Test 54 74 series, CMOS4000/MC14xxx series digital integrated circuit

Related Topics:


Menu's

Mini TL866 Universal Programmer -> Detailed Description

This chapter mainly describes the features and the specific operation of MiniPro programmer programming software.

Menu command

◆ File menu
Open, save, buffer operation functions, exit

◆ Chip-select menu
select programmed chip according to menu list

◆ Project menu
Open Project, Save Project, Save Project As, close project, project attrib, modify password

◆ Device menu
Read..., Read ID, Verify, Program, Erase, Blank Check, Serials Number, Testing

◆ System Tools menu
Calculator, System Self- check, Refresh flash firmware

◆ Help menu
Help files, About MiniPro

detailed description of editing buffer

◆ Edit buffer
Find the corresponding hexadecimal value ​​or ASCII character strings in the buffer, data, copy, paste, fill, Block Save As

detailed operating description

◆ Select chip
select programmed chip according to menu list

◆ Read the chip
Read into the chip to the PC buffer.

◆ Program chip
Cure the contents of buffer into the chip.

◆ Erase chip
Completely erase the data of the chip (Some microcontroller clock calibration bytes can be erased according to the needs, the default is not erased).

◆ Chip Blank
Check whether the current chip is programmed

◆ Chip Verify
Verify whether the chip data is the same as the buffer, can be marked "verify in a different place" .

◆ Set the chip configuration information
mainly set the microcontroller fuse byte, lock bit byte, etc.

◆ Set Chip Serial number
a variety of file format can be opened

◆ Programmer self-test

check whether the programming port function is normal.

◆ ICSP programming
ICSP serial programming function interface, and the usage

◆ RAM test
Test the common static RAM chips

◆ Digital logic circuit test
Test 54 74 series, CMOS4000/MC14xxx series digital integrated circuit

Related Topics:


File menu

MiniPro programmer -> Menu -> File menu

◆ File menu items are as follows:

◆Open file
Load the hexadecimal file or binary file to the specified buffer, GAL chip should be loaded JED format file.

◆Save file
Save the present buffer as the HEX file of hexadecimal format or BIN file of binary format. Save as JED format file when programming GAD chip.

Note: MICROCHIP MCU can be loaded the HEX file generated by MICROCHIP IDE development environment to all buffers and all the buffers can be saved to HEX file. At the same time it is fully compatible with MICROCHIP IDE development environment.

◆Copy, Paste, Block Save As, Define Block, Fill Block, Clear current buffer, Clear all buffer
You can use shortcut keys or right-click menu to realize these menu functions.
See the detailed functions of editing file --->Edit buffer

◆Find, Find Next, address, Goto
You can use shortcut keys or right-click menu to realize these menu functions.
See the detailed functions of editing file --->Edit buffer

◆Exit

Exit MiniPro programming application program

Related Topics:


Chip select menu

Mini TL866 Universal Programmer -> Chip select menu

Directly select the chip you want to program according to the IC type that is easy and convenient to operate.

Note: For the IC with same model but different package, if all of the packages (no including DIP package) cannot be listed, you can directly connect the corresponding pins to program by referring to the IC product manual.

Related Topics:


Project menu

Mini TL866 Universal Programmer -> Project menu

In order to make the chip programming process more reliable, the project file needs to be set up. This file has the current buffer data and working environment settings, including the current device information, all Options settings and related settings of automatic numbering. It is convenient to use for daily mass production. The password-protected project can be set, that can protect the security of the product program to some extent.

◆ Project menu items are as follows:

◆Save project

Select [Project] - [Save Project] to set up a project after setting parameters of the chip in the application program. The project information can be shown. Click [Save Project], input the project name and then click OK. The following dialog box will be popped up:

1. The password can be emptied, that means the password-protected project is not set.
2. The password must be inputted if the project is set as protected mode. The related data of the project cannot be modified after setting protected mode. In addition, partial functions of programmer are not allowed to use.

◆Open Project
Open an current project, select [Project] - [Open Project], select the project name in the window and click OK. If the project is password-protected, the following dialog box will pop up. (the project can be directly opened if no password)

◆Save Project As:
Save the current project as another project name. Refer to [Save project].

◆Close project
Close the current project. Switch to the normal programming mode and clear the current buffer data.

◆Project Attrib
Select [Project] - [Project Attrib], project attribute dialog box pop up.

The Project attribute dialog box can change the project description and project protection mode. The project password needs to be inputted when saving.

◆modify password
Re-set the project password

Prompt：
1. An exact description of the project can distinguish from a large number of projects. The project mode is suitable for mass production.
2. The project file has been encrypted. Proper protection of the project password can stop from copying. It can protect data to some extent.
3. The project file includes 32-bit CRC check information when saving or opening. It can avoid damage of the file or other uncertainties.

Related Topics:


Device menu

Mini TL866 Universal Programmer -> Device menu

The menu functions are for the chip programming operation.
◆ Device menu items are as follows:

◆ Read...: View: <detailed description> -<Read the chip>

◆ Read ID: simply read the chip ID and display information in the ID display area.

◆ Verify: View: <detailed description> -<Check chip>

◆ Program: View: <detailed description> -<Program>

◆ Erase: View: <detailed description> -<Chip Erase>

◆ Blank Check: View: <detailed description> -<Blank check>

◆Serials Number: View: <detailed description> -<Serials Number>

◆ Testing: View: <detailed description> -<Testing>

Related Topics:


Tools menu

Mini TL866 Universal Programmer -> Tools menu

The menu functions are for the chip programming operation.
◆ Tools menu items are as follows:

◆ Calculator: This is a calculator that comes with Windows and the scientific model calculation is very convenient for a variety of formats.

◆ Programmer Self-Check: self-test on the programmer hardware

Click to pop up the following dialog box:

Note: Please remove the IC in the 40-PIN socket and ICSP cable before programmer begins to self-check. The IC may be damaged if no removing. Because when self-checking, programmer will test by applying VPP, VCC and GND to all pins and will perform an inside short-circuit overcurrent test (at the same time apply VPP, VCC and GND to the same pin). The testing information will be shown in the dialog box.

◆ Firmware FLASH refresh: Refresh and upgrade the firmware program

After you upgrade the application, if there is an upgrading need, the application will prompt to refresh the firmware; otherwise his refresh function is disabled. Click <Refresh firmware > to pop up the following dialog box:

Refresh Note: Please make sure the reliable performance of your PC and the uninterrupted electricity supply to your PC. At the same time, please close other application programs. The programming firmware program may be damaged if there is a computer crash or power failure in the process of upgrade. Click <Cancel> to exit upgrade.

Close all other programs, and ensure reliable computer power!
Click <Refresh> to begin, the refresh total time is about 30 seconds. Click <Cancel> to exit refresh.

Related Topics:


Help menu

Mini TL866 Universal Programmer -> Help menu

◆ Help menu items are as follows:

◆ Help: Shortcut keys F1 or click <help> to pop up the help files

◆ About MiniPro: The programmer information is shown below:

As shown above, "DEV Code" and "Serial" are the unique number of each programmer and this encrypted serial number is randomly generated 24 digits within the programmer hardware. The pirates cannot copy all of the serial number. You can verify whether the product you bought is original according to the number in order to protect users' rights.

◆ Update online: Open this Programmer manufacturer's website to see if there is the upgrade version.

Related Topics:


Users Manual

Mini TL866 Universal Programmer -> Detailed Description

This chapter mainly describes the features and the specific operation of MiniPro programmer programming software.

Menu command

◆ File menu
Open, save, buffer operation functions, exit

◆ Chip-select menu
select programmed chip according to menu list

◆ Project menu
Open Project, Save Project, Save Project As, close project, project attrib, modify password

◆ Device menu
Read..., Read ID, Verify, Program, Erase, Blank Check, Serials Number, Testing

◆ System Tools menu
Calculator, System Self- check, Refresh flash firmware

◆ Help menu
Help files, About MiniPro

detailed description of editing buffer

◆ Edit buffer
Find the corresponding hexadecimal value ​​or ASCII character strings in the buffer, data, copy, paste, fill, Block Save As

detailed operating description

◆ Select chip
select programmed chip according to menu list

◆ Read the chip
Read into the chip to the PC buffer.

◆ Program chip
Cure the contents of buffer into the chip.

◆ Erase chip
Completely erase the data of the chip (Some microcontroller clock calibration bytes can be erased according to the needs, the default is not erased).

◆ Chip Blank
Check whether the current chip is programmed

◆ Chip Verify
Verify whether the chip data is the same as the buffer, can be marked "verify in a different place" .

◆ Set the chip configuration information
mainly set the microcontroller fuse byte, lock bit byte, etc.

◆ Set Chip Serial number
a variety of file format can be opened

◆ Programmer self-test

check whether the programming port function is normal.

◆ ICSP programming
ICSP serial programming function interface, and the usage

◆ RAM test
Test the common static RAM chips

◆ Digital logic circuit test
Test 54 74 series, CMOS4000/MC14xxx series digital integrated circuit

Related Topics:


Chip select

Mini TL866 Universal Programmer -> Chip select

Directly select the chip you want to program according to the IC type that is easy and convenient to operate.

Note: For the IC with same model but different package, if all of the packages (no including DIP package) cannot be listed, you can directly connect the corresponding pins to program by referring to the IC product manual.

Related Topics:


Chip Read

Mini TL866 Universal Programmer -> Chip Read

Read the chip data to the buffer. May be different chip reads in different window. Taking the AT89S8253 chip for example to explain how to read the chip. Click [Read] Button in the toolbar to pop up the following dialog box:

[Read Range], at first set the range, including [CODE] [DATA] [FUSE] [LOCK], and it's invalid when reading start address and end address. Press [Read] button to start reading the chip data. Note: If the chip is encrypted, all the value read out shows 0xFF.
After reading is completed, in the information column, reading time for each buffer will be shown.

Note: in the process of reading chip, the programmer will not test the error. You can use <verify> function if you want to verify whether the read data is correct. You can get the detailed operation by following <verify> instructions. The programmer will check chip ID before operation.

Related Topics:


Program chip

Mini TL866 Universal Programmer ->Program chip

Program the data in the buffer into the chip. May be different chip programs in different window. Taking the AT89S8253 chip for example to explain how to program the chip.

1. Load the programming data to the buffer.

2. The programming options are as shown below:

3. Click [Write] Button in the toolbar to pop up the following dialog box:

Firstly set [Program Range], including [CODE] [DATA] [FUSE] [LOCK]. Press [Program] button to start programming the chip.

Tips:
◆After programming, the programming time for each buffer is shown in the information column.
◆Most of the chips will be automatically checked in the process of programming and the program operation will be immediately terminated if there is an error.
◆If the user selects "Auto Serials No.", after programming the chip number in the buffer will be automatically increased according to the settings.
◆To ensure the accuracy of programming data, users are always recommended to perform [Verify After].

Related Topics:


Chip Erase

Mini TL866 Universal Programmer ->Chip Erase

For the chip that can be erased electronically, click [ Erase ] button in the toolbar to pop up the following dialog box:

By default, chip ID will be checked before erase. For a small part of the microcontroller, the chip ID cannot be read after encrypted. At that time, don't tick off [check device ID] in the options, otherwise there is an error of checking ID. Click [ Erase] button in the dialog box and the erase time will be shown after erase is complete.

Related Topics:


Chip Blank Check

Mini TL866 Universal Programmer ->Chip Blank Check

Click [Blank Check] Button in the toolbar to pop up the following dialog box:

By default, chip ID will be checked before erase. You can select the region you want to check blank and the default is the entire region. And then click [Blank check] button in the dialog box to start checking blank. The spending time for each region will be shown after checking. In the meantime, the operation will be terminated if it is found that the chip is not empty and the address and storing value in non-empty region will be shown.

Related Topics:


Verify chip

Mini TL866 Universal Programmer ->Verify chip

Click [Verify] Button in the toolbar to pop up the following dialog box:

By default, chip ID will be checked before erase. You can select the region you want to verify and the default is the entire region. Click [Verify] button in the dialog box to start. If it is verified that all the chip data is same, the spending time for each region will be shown after verifying, as shown above.
In the meantime, if it is found that the chip data is not same, pop up the following dialog box:

Click [continue to verify]: will continue to verify if there are different data, the same prompt dialog box will be popped up.
Click [Mark differences]: the prompt dialog box will not be popped up in the process of verifying until completion. Finally, all the differences will be prompted and the different units will be shown in red font in the buffer, as shown below.
Click [exit]: exit to stop verifying.

Related Topics:


Configure Chip

Mini TL866 Universal Programmer -> Configure Chip

Click 【CONFIG】 Button in chip buffer select bar to pop up the following interface (select ID: PIC18F4550):

The value of IC config information in the lower right is corresponding to config interface: Click Config interface and the value of the config information will be automatically changed.

1. Different chip has different configuration information, so firstly users should check the IC datasheets in order to properly configure the chip.
2. IC configuration interface is well-designed and users can conveniently check the IC datasheet.
3. Some chips have no configuration information.
4, The common configuration interfaces are shown as below:

◆PIC18FXXX interface is as shown above, ID can be edited in the main screen, different model has different contents in the table.
◆PIC10xxx 12xxx 16xxx configuration interface is generally as below and different chip has different contents.

For parts of the PIC chips, by default the programmer will not erase the Reset Vector of the chip when erasing. If you program the verified bytes in configure interface, the Reset Vector will be erased. If the chip has no backup verified value and at the same time you make a mistake with the verified bytes, if you use inside clock, the clock skew may appear and the chip may not be used.
Note: Under normal circumstances, The verified bytes don't need to be changed because it has been verified at factory.

◆The ATMEGA configuration information is generally as below and different chip has different contents.

◆ You can test by yourself in applications for other more interfaces. You are sure to use it well.

Related Topics:


Set Auto Serials

Mini TL866 Universal Programmer -> Set Auto Serials

<Set Auto Serials>: A IC serial number is automatically added to a certain buffer when programming. It is convenient to the chip programming settings, time settings or unique serial number settings at factory. The programmer has many kinds of numbering algorithms that can meet the needs of users.

Click <main menu>--- <Device> --- <Serials Number> to pop up the following dialog box:

Firstly select the Auto Inc. mode. There are four algorithm modes to choose from the dialog box and the detailed instructions are as below:

1. The default increment algorithm <Default INC.>
This algorithm interface is shown above, a set length of number is placed in the start address and the number will be increased according to the <Inc. Step>. After setting the parameters, click <Test> to start testing and check the change regularity of different set parameters. <original Value> and <Inc. Step> can be set in the above dialog box.

You can set <record> file after the parameters are set and the testing result is correct. If blank, the record file is invalid and the data cannot be recorded into the file when programming; If the <record>file is set, the set serial number will be added at the end of the record file after programming.

Finally, tick off <Enable Auto. SN> and click <Save> button.

2. time algorithm <Time Mode>
Time algorithm dialog interface is as shown below:

There are four time encoding format as below:
(1) date + time Total Length: 16 bytes
The date and time will be added in the specified place, total length is 16bytes.
(2) The date +5 bytes increment Total Length: 16 bytes
The incremental parts can be set original value and step.
(3) Date + time + 8 bytes increment Total Length: 24 bytes
The incremental parts can be set original value and step.
(4) Date + time + 16 bytes random number Total Length: 32 bytes
The16 bytes are random and it can generate a unique product serial number. In this way, the <Record> file must be set so that the generated code can be recorded in the file. Otherwise, your don't know what is the product serial number.

The following operating steps are the same as the above <Default INC.>

3. the random sequence number algorithm <Random>
The algorithm generates a specified length of random number, as shown below:

4. user-defined algorithm <user define>
This user-defined algorithm has great flexibility. You can set any ways of numbering algorithms, for the detailed usage, see the directory: MiniPro\Serialnumber\SOURCE_DLL. The interface is as below:

For AVR Microcontroller, encryption of RC verified byte can be fully achieved by invoking the DLL dynamic link library. Here are all source program and testing ways, see the directory： MiniPro\ATMEGA8_LED

After making DLL file, you copy them to the application directory : MiniPro\Serialnumber, that's OK. You can select your algorithm file in the <user algorithm> list.

The following operating steps are the same as other algorithms.

------------ Important note: ----------------------------------- -
1. After setting the above, the programmer will not automatically add the serial number you set to the chip when programming, unless you tick off <Auto Serials No.> in the main interface Options.
2.Please firstly set algorithm and tick off<Enable Auto SN>（setting path： <main menu>-<Device>-<serials number> ）and then the <Auto Serials No.> option can be ticked off.
3. After <Auto Serials No.> option is ticked off, if you reset the numbering algorithm, in main interface <Auto Serials No.> option must be ticked off again.
4. You must reset the numbering algorithm if the chip model is changed.
5. In the project mode, the algorithm can be saved in the project file. You can directly open the project file, and automatically invoke the automatic numbering algorithm. Therefore, it is easier and more convenient to use for the mass production in the project mode.

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn China Hainan


Programmer Self-Check

Mini TL866 Universal Programmer -> Programmer Self-Check

The menu functions are for the chip programming operation.
◆ Tools menu items are as follows:

◆ Calculator: This is a calculator that comes with Windows and the scientific model calculation is very convenient for a variety of formats.

◆ Programmer Self-Check: self-test on the programmer hardware

Click to pop up the following dialog box:

Note: Please remove the IC in the 40-PIN socket and ICSP cable before programmer begins to self-check. The IC may be damaged if no removing. Because when self-checking, programmer will test by applying VPP, VCC and GND to all pins and will perform an inside short-circuit overcurrent test (at the same time apply VPP, VCC and GND to the same pin). The testing information will be shown in the dialog box.

◆ Firmware FLASH refresh: Refresh and upgrade the firmware program

After you upgrade the application, if there is a upgrading need, the application will prompt to refresh the firmware; otherwise his refresh function is disabled. Click <Refresh firmware > to pop up the following dialog box:

Refresh Note: Please make sure the reliable performance of your PC and the uninterrupted electricity supply to your PC. At the same time, please close other application programs. The programming firmware program may be damaged if there is a computer crash or power failure in the process of upgrade. Click <Cancel> to exit upgrade.

Close all other programs, and ensure reliable computer power!
Click <Refresh> to begin, the refresh total time is about 30 seconds. Click <Cancel> to exit refresh.

Related Topics:


ICSP Program

Mini TL866 Universal Programmer -> ICSP Program

(only TL866A has this ICSP programming function)

For the serial in-circuit programmed chips, this programmer can program microcontroller on the target board through ICSP port. Firstly select <ICSP port> in the main interface and then by default <ICSP_VCC Enable> is ticked off. That means the target board will be provided VCC power when programming. (Note: The maximum current of programmer VCC power is 120ma. Please use the target board's power supply if larger current is needed. You'd better isolate the CPU power from other high current components on the board and use programmer's power supply that is more convenient.

If the power don't need to be supplied by programmer, don't tick off the【ICSP_VCC Enable】. Then there is no VCC power in the VCC pin when programming, as shown below:

The next step: Read, erase, verify, program, etc. Such operations will be finished through the ICSP port. At that time, you are not allowed to put the chip on the 40PIN universal socket. Click 【Write】 button to pop up the following dialog box:

(Note: the dialog box of read, erase, verify, etc. is nearly the same as the 【Write】, just one more ICSP prompt.)

Click [View ICSP Connection] button to pop up the in-circuit serial programming wiring diagram, as shown below:

(Different chip has different ICP connection method)

Note:
1. Now ICSP can in-circuit serial program ATMEL89S51, ATMEL89S52, AT45DBxxx, a whole series of AVR ATMEGAxxx, MICROCHIP PIC10Fxxx 12Fxxx 16Fxxx 18Fxxx, as well as a full serial of SYNCMOS SM59Dxx SM59Rxx. The variety of microcontroller that can be supported in-circuit programming will be continually increased in the future.
2. Under normal circumstances, the 40PIN socket programming is high-speed Parallel Programming and ICSP programming for the target board is serial in-circuit programming.
3. The programmings of the PIC10 12 16 series chips, 40PIN and ICSP port are high-voltage serial programming. Different 18 series chip has different VPP voltage. The programming ways of ICSP port and the 40PIN socket are the same, but Programming rate of ICSP port is a bit slower than which of 40PIN socket.
4. Atmel AT89Sxx ATMEGAxxx SPI programming speeds are very different from the parallel programming. This programmer is one of the highest parallel programming speed and it can fully meet the needs of mass production.
5. TL866CS Model programmer has no this ICSP port and it cannot in-circuit program.

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn China Hainan


RAM test

Mini TL866 Universal Programmer ->RAM test

Select IC as RAM chips and click [test] button in the toolbar to pop up the following dialog box:

RAM test: There are four methods and the RAM unit can be tested whether the function is normal by these testing methods.
General programmer cannot test whether RAM unit is good or bad because it only read and write the RAM units. For example, if there is a short circuit between two adjacent address lines, it is not possible to check out the problem to simply read and write the RAM units data. So each testing way is not complete.

Insert chip and click [test] button to start testing RAM.

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn China Hainan


Digital circuit testing

Mini TL866 Universal Programmer ->Digital circuit testing

Maybe this is the first development comprehensive programmer to test the common 74 series CMOS4000 series IC and this test can be located the errors of logic gate circuit.
After select corresponding 74HC00 IC, click [TLL/CMOS Test] button to pop up the following dialog box:

Under normal circumstances, testing information of each logical unit with a variety of input combinations will be shown. If there is an error with IC gate circuit, for example, If you disconnect the PIN1 of 74HC00 chip, the testing results will be shown as follows: prompt chip error.

Different chip has different logical unit number. Logical unit numbering is the same as the IC manual.

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn China Hainan


Edit buffer

Mini TL866 Universal Programmer ->Edit buffer

Define Block
Fill Block
Copy, Paste
Block Save As
Clear current buffer
Find, Find Next
Go to
◆ Define Block
Define block in two ways:
1. The first method： press the mouse left key and move the mouse to select a block of buffer data, right click to pop up the dialog box as shown below:

2. The second method: Select 【Define block】 in 【Main menu】 or mouse 【Right-click menu】 or direct press shortcut keys "CTRL + B" to pop up the following dialog box, input a start address and end address, and then press "OK" to complete the block definition.

You can follow-up operation for the defined data block: Copy Block, Fill Block, Block Save As TXT file

◆ Fill Block

Fill Block it means replacing a certain period of data that includes consecutive addresses with a fixed value.

To fill the buffer, a certain period of data consecutive addresses in the code buffer replaced with a fixed value。
In 【Right-click menu】, Select 【Fill Block】 to pop up the following dialog box:

A. Select the filled buffer region, the default value is the current buffer in the window.
B. Set the start and end address. If you do not define the block, the default value will be all the area of the current buffer.
C. Value (HEX): to be allowed a maximum of 4 bytes. If the fill mode is random, this value can be ignored.
D. Fill Format, the default format: the default is single-byte if the chip is programmed in 8-byte way; the fault is double-byte if the chip is programmed in 16-byte way. It is up to you.

◆ Copy
After defining the data block, you can select 【Copy】 in【Right-click menu】 and then the contents of the block has been copied to the WINDOWS clipboard.
Also you can press shortcut key <CTRL + C to complete the copy.
◆ Paste
Function: fill the buffer with the copied block
Operation: move the cursor to allow the buffer to the start address and press <CTRL + V> shortcut key to complete the paste.

A region data is copied to B region as below:

Note: In order to speed up the paste, the clipboard data format is binary format this programmer exclusively uses, so other WINDOW applications can not directly use the copied data in the clipboard. If you want to copy the block of data to other applications, please use 【Blocks Save As】 TXT file function.

◆ Block Save As
You can output the defined data block as TXT files to enable designers to conveniently use when programming. The text format can be automatically arranged in 16-byte or 8-byte way.
Operation: After the definition of buffer block, click the mouse right key to pop up context menu, select 【Block Save As】.

◆Clear current buffer:

Function: Clear the current buffer that application window displays.

◆Clear all buffer:

Function: Clear all chip buffer as the default value.

◆ Find, Find Next：
Function: Find HEX or ASCII character strings in the current buffer.
Operation: Press <CTRL + F> shortcut key or click 【Find】 in right-click menu to pop up the following dialog box:

Input the HEX value or ASCII character strings you want to find and click "Find" button in the dialog box. When there is matching hexadecimal data or character string in program code buffer, the cursor will be positioned to the first matching address found. Press F3 key to continue to find the next until the search in the whole buffer is completed.

◆Go to Address：
Function: Move the cursor to the address specified by the current buffer.
Operation: Click shortcut key <CTRL + G> or select 【Go to】 in the right-click menu to pop up the following dialog box:

Enter the address, press OK button and then the cursor will move to the specified address.

Related Topics:


AVR microcontroller software encryption

Mini TL866 Universal Programmer ->AVR microcontroller software encryption

AVR microcontroller has an RC Calibration (calibrate bytes). Only one of dozens of chips may have the same bytes value and it cannot be modified. Microcontroller software can read this value and determine whether the code is used by other chips. Through custom encryption algorithm, it can stop those who decrypt chips with ulterior motives from directly using. The encryption algorithm is so complex that it is not easy to decrypt. But, about "encryption", there is a problem for developers - each chip is different - it is impossible to manually calculate one by one and respectively compile source code if the algorithm is complex. This programmer can automatically read into RC bytes before programming. The developer can get the bytes value of the chip in the DLL dynamic function and then automatically calculate the encrypted data according to the request and put it in the memory, efficiently completing mass production.

(A detailed encrypted instance of the ATMEGA8 in the installation package is available for reference)

The operation is the same as <Set Auto Serials>,

view [image] Set Auto Serials

The contents of instance: By encryption algorithm, programmed chip can be normally run. While the copied program from the chip to another chip cannot be run. The function of this programmer is that the chip can be quickly encrypted in mass production.

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn China Hainan


Feedback and Warranty

Mini TL866 Universal Programmer -> Product Warranty

◆ Warranty Service

Under ordinary usage, within one year from the date of purchase, the maker will repair free of charge in the event of product failure.

◆ Disclaimer
A. Not duly authorized by maker， any disassembled the product will void your warranty.
B. ZIF socket (wearing parts) and other Man-made damages caused by improper operations don't belong to the warranty scope.
C. The maker cannot bear the joint and several liability caused by the hardware failure and software defect.

◆ Particular Statement

The errors and defects are inevitable because the programmer supports many kinds of chips and the system is complex. Especially for OTP one-off programming chip, please make sure the programming is correct before mass production. Our company cannot bear the joint and several liability caused by the hardware failure and software defect. Please contact us if you have any problems or valuable advices.

◆ Other matters:

 With the increasing upgrade of software, this manual is only for reference, subject to product application software.
You can download the latest application software by clicking the following link:

http://www.autoelectric.cn/minipro/index.htm

Company: Haikou Xingong Electronics Co., Ltd.
Address: No.1 Nanhai West Avenue, Haikou City, Hainan, China

Post Code: 570311
EMIAL：autoelector@yahoo.com
TEL :0898-68681816 FAX :0898-68681815

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn China Hainan
TEL: 0898 68681816 Mobile: 13198907988 Technical Contact: Wang Xin


How to add devices

Mini TL866 Universal Programmer -> How to add devices

More and more kinds of chips will be supported in the future upgrade. In order to make you and our products do better, if you cannot find the chip you want to program in programming device list, please do not hesitate to contact us. If the hard drive capacity permit and the IC programming data is enough, we will do our best to increase the IC. Sometimes, please provide 1 or 2 sample IC in order to make sure the reliable support.

Tel: 0898 68681816

MOBILE: 13198907988

Contact name: Wang Xin

E-mail:autoelector@yahoo.com

Please fill out the following information carefully and send us by e-mail.

Contact:
1. Name:
2. Company:
3. Contact Phone:
4. EMAIL：

Programmer information:
1. Model:TL866
2. Purchase date: Year Month Day

3. programmers No.: (8 digits, in the software <About> menu)

Specific information of the chip you want to add:
1. IC manufacturer:
2. IC detailed model:
3. IC package types:

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn China Hainan


Product Warranty

Mini TL866 Universal Programmer -> Product Warranty

◆ Warranty Service

Under ordinary usage, within one year from the date of purchase, the maker will repair free of charge in the event of product failure.

◆ Disclaimer
A. Not duly authorized by maker， any disassembled the product will void your warranty.
B. ZIF socket (wearing parts) and other Man-made damages caused by improper operations don't belong to the warranty scope.
C. The maker cannot bear the joint and several liability caused by the hardware failure and software defect.

◆ Particular Statement

The errors and defects are inevitable because the programmer supports many kinds of chips and the system is complex. Especially for OTP one-off programming chip, please make sure the programming is correct before mass production. Our company cannot bear the joint and several liability caused by the hardware failure and software defect. Please contact us if you have any problems or valuable advices.

◆ Other matters:

 With the increasing upgrade of software, this manual is only for reference, subject to product application software.
You can download the latest application software by clicking the following link:

http://www.autoelectric.cn/minipro/index.htm

Company: Haikou Xingong Electronics Co., Ltd.
Address: No.1 Nanhai West Avenue, Haikou City, Hainan, China

Post Code: 570311
EMIAL：autoelector@yahoo.com
TEL :0898-68681816 FAX :0898-68681815

Related Topics:

Quick Guide

Complete Operations Guide

http://www.autoelectric.cn China Hainan
TEL: 0898 68681816 Mobile: 13198907988 Technical Contact: Wang Xin